> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter scheduled tasks



## OpenAPI

````yaml /open-api/api-docs.yml post /enterprise/schedule/tasks/filter
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /enterprise/schedule/tasks/filter:
    post:
      tags:
        - Enterprise Bulk Operations Api
      summary: Filter scheduled tasks
      operationId: getScheduledTasksUsingPOST
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
      requestBody:
        description: scheduleQueryRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/scheduleQueryRequest'
        required: true
      responses:
        '200':
          description: List of scheduled tasks.
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ScheduleTaskResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ScheduleTaskResponse'
        '201':
          description: Created
          content: {}
        '400':
          description: ApiErrorResponse model bad request.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    scheduleQueryRequest:
      title: scheduleQueryRequest
      type: object
      properties:
        organizationIds:
          type: array
          description: Organization Id List
          items:
            type: integer
            format: int64
        pageNo:
          type: integer
          description: Page No
          format: int32
          example: 1
        pageSize:
          type: integer
          description: Page Size
          format: int32
          example: 10
      description: Schedule Query Request Api Model
    ScheduleTaskResponse:
      title: ScheduleTaskResponse
      type: object
      properties:
        totalRecord:
          type: integer
          description: Total Record
          format: int64
          example: 10
        scheduleTaskList:
          type: array
          description: Schedule Task List
          items:
            $ref: '#/components/schemas/DTOScheduleTask'
        scheduleTask:
          $ref: '#/components/schemas/DTOScheduleTask'
        notificationOptions:
          $ref: '#/components/schemas/DTONotificationOption'
      description: Response Model for Schedule Task
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    DTOScheduleTask:
      title: DTOScheduleTask
      type: object
      properties:
        id:
          type: integer
          format: int64
        notificationOptionId:
          type: integer
          format: int64
        oprUserId:
          type: integer
          format: int64
        organizationId:
          type: integer
          format: int64
        selection:
          type: string
        status:
          type: integer
          format: int32
        taskCreationDate:
          type: integer
          format: int64
        taskData:
          type: string
        taskDate:
          type: string
        taskName:
          type: string
        taskOwner:
          type: string
        taskType:
          type: integer
          format: int32
        userType:
          type: string
    DTONotificationOption:
      title: DTONotificationOption
      type: object
      properties:
        assignee:
          type: boolean
        assigner:
          type: boolean
        contacts:
          type: boolean
        email:
          type: boolean
        id:
          type: integer
          format: int64
        pushMessage:
          type: boolean
        sms:
          type: boolean
        userId:
          type: integer
          format: int64

````